#
# spec file for package wine-mp3 (Version 1.1.39)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wine-mp3
BuildRequires:  libmpg123-devel wine-devel wine
License:        LGPL
Group:          System/Emulators/PC
AutoReqProv:    on
Version:        1.1.39
Release:        14.1
Summary:        Wine MP3 ACM codec
Url:            http://www.winehq.com
# cp dlls/winemp3.acm/mpegl3.c .
Source0:        mpegl3.c
# cp dlls/winemp3.acm/winemp3.acm.spec .
Source1:        winemp3.acm.spec
Source2:	baselibs.conf
# patch to build stand-alone
Patch0:         mpegl3.patch
# make it build on sle11 sp3
%if 0%{?suse_version} == 1110
BuildRequires:  gcc47
#!BuildIgnore:  libgcc43
#!BuildIgnore:  libgomp43
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a standalone build of Wines MP3 ACM module, based
on libmpg123. You will need libmpg123-devel to build it.

%prep
cp %SOURCE0 .
%patch0
cp %SOURCE1 .

%build
gcc -c -D_FILE_OFFSET_BITS=64 -D__WINESRC__ -DHAVE_MPG123_H -I/usr/include/wine -I/usr/include/wine/windows -D_REENTRANT -fPIC -Wall -pipe -fno-strict-aliasing -Wdeclaration-after-statement -Wstrict-prototypes -Wtype-limits -Wwrite-strings -Wpointer-arith  $RPM_OPT_FLAGS -o mpegl3.o mpegl3.c
winegcc -shared winemp3.acm.spec mpegl3.o -o winemp3.acm.so   -lwinmm -luser32 -lkernel32 -lmpg123  
%if 0%{?suse_version} >= 1120
winegcc -shared winemp3.acm.spec mpegl3.o -o winemp3.acm.fake -lwinmm -luser32 -lkernel32 -lmpg123  
%endif

%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/wine
install -c -m 755 winemp3.acm.so  $RPM_BUILD_ROOT/%{_libdir}/wine
%if 0%{?suse_version} >= 1120
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/wine/fakedlls
install -c -m 755 winemp3.acm.fake  $RPM_BUILD_ROOT/%{_libdir}/wine/fakedlls/winemp3.acm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_libdir}/wine
%{_libdir}/wine/*.so
%if 0%{?suse_version} >= 1120
%dir %{_libdir}/wine/fakedlls
%{_libdir}/wine/fakedlls/*
%endif

%changelog
* Fri May 16 2014 ohering@suse.de
- BuildRequire: gcc47 in sles11sp3
* Sat Jan  1 2011 reddwarf@opensuse.org
- Update patch for new version
* Sun Dec 19 2010 meissner@suse.de
- updated to 1.3.9 version
* Tue Mar  2 2010 meissner@suse.de
- Split off MP3 subpackage to be built on Packman.
* Fri Feb 19 2010 meissner@suse.de
- Updated to 1.1.39
  - Support for registry symbolic links.
  - Many MSI fixes.
  - Build process improvements.
  - MSXML cleanups and fixes.
  - A number of MSHTML improvements.
  - Various bug fixes.
* Fri Feb  5 2010 meissner@suse.de
- Updated to 1.1.38
  - Better support for memory allocations debugging.
  - Improved MIDI support.
  - A wide range of Direct3D fixes.
  - OLEDB fixes (should fix Clipart in Office).
  - Improved debugger support on x86-64.
  - Many MSI fixes.
  - Various bug fixes.
-updated winetricks
* Fri Jan 22 2010 meissner@suse.de
- Updated to 1.1.37
  - A number of fixes in AVI file support.
  - Several MSXML improvements.
  - A few MSI fixes.
  - Various bug fixes.
* Fri Jan  8 2010 meissner@suse.de
- Updated to 1.1.36
  - Completion of the 16-bit separation.
  - Improved Shader Model 4 support.
  - A ton of memory leak fixes.
  - Improved debugging support for MinGW.
  - A number of MSHTML fixes.
  - Various bug fixes.
* Fri Dec 18 2009 meissner@suse.de
- Updated to 1.1.35
  - Support for OLE transacted storage.
  - Better certificate checking on secure connections.
  - More progress on the 16-bit separation.
  - Left 4 Dead 2 DRM really supported now.
  - MSI performance improvements.
  - 64-bit fixes in debugger support.
  - Various bug fixes.
* Mon Dec 14 2009 meissner@suse.de
- winetricks update
  - fixed multiple downloaders, including quicktime, flash
* Fri Dec  4 2009 meissner@suse.de
- Updated to 1.1.34
  - Many fixes for crypto certificates support.
  - A lot of MSHTML improvements.
  - Various fixes to support the Left 4 Dead 2 DRM.
  - A number of OLE marshalling fixes.
  - More Listview improvements.
  - Various bug fixes.
* Thu Nov 26 2009 meissner@suse.de
- new winetricks release
  - Add experimental dotnet35 verb
  - Add IE7 verb. Based on a patch by Hans Leidekker.
  - Add verbs alsa, audioio, coreaudio, esound, jack, nas, oss to override
    sound driver
  - Add verbs backbuffer, fbo, pbuffer for setting offscreen rendering buffer
  - Don't crash winecfg if native comctl32 is used
  - Fix gecko to work with wine-1.1.33.
  - Make vc2003toolkit and psdk2003 verbs run on windows
  - On cleanup, remove $WINETRICKS_TMP, not just the files in it
  - Sorted command menu
  - Update Firefox to 3.5.5
  - Update mpc to latest version, move the exe to Program Files and add it to %%PATH%%
* Sat Nov 14 2009 meissner@suse.de
- Updated to 1.1.33
  - Gecko now installed at wineprefix creation time.
  - Better support for certificates in crypt32.
  - Improved sound support in mciwave.
  - Some more Direct3D 10 functions.
  - Many cleanups for issues spotted by Valgrind.
  - Various bug fixes.
* Fri Nov 13 2009 meissner@suse.de
- buildrequire "wine-gecko" prepackaged gecko engine,
  so it does not need to be seperately downloaded.
* Sun Nov  8 2009 meissner@suse.de
- starting to build for 64bit on Factory and later.
* Fri Oct 23 2009 meissner@suse.de
- Updated to 1.1.32
  - Many crypto fixes, particularly on 64-bit.
  - Improved DVD access on Mac OS.
  - Several common controls improvements.
  - Various HTML support improvements.
  - More DIB optimizations.
  - Various bug fixes.
* Fri Oct  9 2009 meissner@suse.de
- Updated to 1.1.31
  - Vastly improved monthcal control.
  - Performance improvements for DIB sections.
  - Several sound driver fixes.
  - Beginning of ActiveX support in JScript.
  - More Direct3D 10 work.
  - More 16-bit dlls split off to separate modules.
  - Support for attachments in MAPI.
  - Various bug fixes.
- updated winetricks
* Fri Sep 25 2009 meissner@suse.de
- Updated to 1.1.30
  - Support for OpenAL.
  - Many improvements in HTML and JavaScript support.
  - Many common controls fixes and improvements.
  - More Direct3D 10 work.
  - Better MAPI support.
  - Various bug fixes.
- updated winetricks
* Fri Sep  4 2009 meissner@suse.de
- Updated to 1.1.29
  - Improved Gecko integration by using Wine's network layers.
  - Use of external libmpg123 for mp3 decoding.
  - Support for JPEG and PNG formats in WindowsCodecs.
  - Many regression test fixes for Win64 and Windows 7.
  - Various bug fixes.
- updated winetricks
* Fri Aug 21 2009 meissner@suse.de
- Updated to 1.1.28
  - Support for IRDA protocol.
  - Faster initial wineprefix creation.
  - Axis remapping with evdev joysticks.
  - More image formats in WindowsCodecs.
  - Various bug fixes.
- updated winetricks
* Sun Aug  9 2009 meissner@suse.de
- updated winetricks
* Fri Aug  7 2009 meissner@suse.de
- Updated to upstream 1.1.27
  - New version of the Gecko engine.
  - New GSM 06.10 codec support.
  - Improved support for the disk volume APIs.
  - Support for XShm pixmaps for better performance.
  - Various bug fixes.
- added libgsm-devel to buildrequires
* Sat Jul 18 2009 meissner@suse.de
- Updated to upstream 1.1.26
  - Still more translation updates.
  - Faster bitmap stretching using XRender.
  - Proxy support in WinHTTP.
  - Many more JScript functions.
  - Various bug fixes.
* Sat Jul  4 2009 meissner@novell.com
- spec file cleanup, make it possible to rpmbuild -ba
  on x86_64 machines. bnc#519192
* Fri Jul  3 2009 meissner@suse.de
- Updated to upstream 1.1.25
  - A ton of translation updates.
  - Support for various Unicode file encodings in Notepad.
  - Improved memory management, especially for OpenGL.
  - Desktop menus now cleaned up automatically.
  - Beginnings of a windowscodecs DLL implementation.
  - Various bug fixes.
* Fri Jun 19 2009 meissner@suse.de
- Updated to upstream 1.1.24
  - Support for freedesktop file associations.
  - Support for exception handling on 64-bit.
  - Improved ARB shaders.
  - Fixes for the FBO mode.
  - Many listview improvements.
  - Various bug fixes.
* Tue Jun 16 2009 gryffus@hkfree.org
- Added libgnutls to required packages
* Fri Jun  5 2009 meissner@suse.de
- Updated to upstream 1.1.23
  - Support for registering MIME types with the Linux desktop.
  - FBO mode is now the default for Direct3D.
  - Support for COM proxy delegation.
  - Improved support for the Mingw cross-compile.
  - Proper fullscreen mode for the virtual desktop.
  - Various bug fixes.
* Sat May 23 2009 meissner@suse.de
- Updated to upstream 1.1.22
  - More improvements to OLE copy/paste.
  - Beginnings of x86_64 exception handling.
  - Direct3D locking fixes.
  - ARB shaders improvements.
  - Better OpenGL pixel format support.
  - Various bug fixes.
* Fri May  8 2009 meissner@suse.de
- Updated to upstream 1.1.21
  - Beginnings of shader model 4 support.
  - Support for copying/pasting images from X11 applications.
  - A number of GDIPlus improvements.
  - Various listview fixes.
  - 64-bit support in winemaker.
  - Support for building on Mac OS X Snow Leopard.
  - Various bug fixes.
* Mon May  4 2009 meissner@suse.de
- Updated to upstream 1.1.20
  - Show a dialog on application crashes.
  - Much improved OLE copy/paste support.
  - Various listview improvements.
  - More Direct3D code cleanups.
  - Various bug fixes.
* Fri Apr 10 2009 meissner@suse.de
- Updated to upstream 1.1.19
  - Support for Visual C++ project files in winemaker.
  - Improvements to the Esound driver.
  - Many Direct3D code cleanups.
  - Fixes to OLE clipboard handling.
  - OpenBSD compilation fixed.
  - Various bug fixes.
* Sat Mar 28 2009 meissner@suse.de
- tarball was refreshed
* Fri Mar 27 2009 meissner@suse.de
- Updated to upstream 1.1.18
  - Joystick support on Mac OS X.
  - Implementation of iphlpapi on Solaris.
  - A number of 64-bit improvements.
  - Obsolete LinuxThreads support has been removed.
  - Many fixes to the regression tests on Windows.
  - Various bug fixes.
* Fri Mar 13 2009 meissner@suse.de
- Updated to upstream 1.1.17
  - Joystick support on Mac OS X.
  - Implementation of iphlpapi on Solaris.
  - A number of 64-bit improvements.
  - Obsolete LinuxThreads support has been removed.
  - Many fixes to the regression tests on Windows.
  - Various bug fixes.
* Sat Feb 28 2009 meissner@suse.de
- Updated to upstream 1.1.16
  - Improved SANE scanner support.
  - Support for digital CD audio playback.
  - Improved cookies management in Wininet.
  - Support for building stand-alone 16-bit modules.
  - Many fixes to the regression tests on Windows.
  - Various bug fixes.
- updated winetricks to current version
* Sat Feb 14 2009 meissner@suse.de
- Updated to upstream 1.1.15
  - Gecko engine update.
  - Better region support in GdiPlus.
  - Support for cross-compilation in winegcc.
  - Beginnings of MS Text Framework support.
  - Many fixes to the regression tests on Windows.
  - Various bug fixes.
* Fri Jan 30 2009 meissner@suse.de
- Updated to upstream 1.1.14
  - Various bug fixes for Internet Explorer 7.
  - Many crypt32 improvements, including new export wizard.
  - Better support for windowless Richedit.
  - Improvements to the print dialog.
  - Many fixes to the regression tests on Windows.
  - Various bug fixes.
* Tue Jan 27 2009 meissner@suse.de
- updated winetricks to current release
* Sat Jan 17 2009 meissner@suse.de
- Updated to upstream 1.1.13
  - Freedesktop.org-compliant startup notifications.
  - Many fixes for 64-bit application support.
  - Improved graphics support in Internet Explorer.
  - Various Richedit improvements.
  - Better certificate manager dialog.
  - Various bug fixes.
- updated winetricks to current release
* Fri Jan  2 2009 meissner@suse.de
- Updated to upstream 1.1.12
  - Some simple 64-bit apps should now run.
  - Support for subpixel font rendering.
  - 64-bit code generation in the IDL compiler.
  - New version of the Gecko engine.
  - Various bug fixes.
- updated winetricks
* Sat Dec 20 2008 meissner@suse.de
- Updated to upstream 1.1.11
  - Numerous fixes for IE7 support.
  - Support for 64-bit cross-compile using Mingw64.
  - User interface support for crypto certificates.
  - Better support for MSI installation patches.
  - Various Direct3D optimizations.
  - Various bug fixes.
* Fri Dec  5 2008 meissner@suse.de
- Updated to upstream 1.1.10
  - Support for virtual memory write watches.
  - Workarounds for the WINAPI compiler bug on Mac OS.
  - Several fixes for the 64-bit build.
  - Some more GdiPlus functions.
  - Various bug fixes.
* Fri Nov 28 2008 meissner@suse.de
- new winetricks
  - loaders for mono20, ole2, msmask, ie6
  - bugfixes for directx9
* Fri Nov 21 2008 meissner@suse.de
- Updated to upstream 1.1.9
  - A large number of regression test fixes.
  - Performance improvements in memory management.
  - Improved POP3 support in inetcomm.
  - Initial implementation of the XInput DLL.
  - Various bug fixes.
* Fri Nov  7 2008 meissner@suse.de
- Updated to upstream 1.1.8
  - Substantial parts of inetcomm implemented (for Outlook).
  - Still better crypt32 support.
  - Memory management improvements.
  - Theming support for buttons.
  - Various bug fixes.
* Fri Oct 24 2008 meissner@suse.de
- Updated to upstream 1.1.7
  - Improved device management for DOS drives.
  - Many Richedit fixes.
  - Various installer fixes, particularly for IE 7.
  - First steps of Direct3D 10 implementation.
  - Various bug fixes.
* Mon Oct 13 2008 meissner@suse.de
- Updated to upstream 1.1.6
  - Beginnings of schannel implementation using GnuTLS.
  - Many fixes from various code analysis tools.
  - Support for X11 desktop work area.
  - Fixes for Richedit tables.
  - More complete JavaScript support.
  - Various bug fixes.
* Fri Sep 19 2008 meissner@suse.de
- Updated to upstream 1.1.5
  - Substantial JavaScript implementation.
  - Partial support for layered windows.
  - Support for Unicode file export in Regedit.
  - Proper exception handling in widl-generated code.
  - Asynchronous requests and cookies support in WinHTTP.
  - Various bug fixes.
* Sun Sep  7 2008 meissner@suse.de
- Updated to upstream 1.1.4
  - Substantial chunks of WinHTTP are implemented.
  - More JavaScript support.
  - Beginnings of shell AppBar implementation.
  - Several fixes for Google Chrome support.
  - Chinese translations.
  - Various bug fixes.
- Updated winetricks
* Sat Aug 23 2008 meissner@suse.de
- Updated to upstream 1.1.3
  - Beginnings of ddraw overlay support.
  - Many more crypt32 functions.
  - Improved support for tables in Richedit.
  - Support for NETWM window maximization.
  - Many installer fixes.
  - Tweaks for better PulseAudio support.
  - Various bug fixes.
* Fri Jul 25 2008 meissner@suse.de
- Updated to upstream 1.1.2
  - Control panel improvements and new appwiz panel.
  - Restructurations of state handling in Direct3D.
  - Support for timer queue functions.
  - Many MSXML improvements.
  - Several fixes to Solaris support.
  - Various bug fixes.
* Fri Jul 11 2008 meissner@suse.de
- Updated to upstream 1.1.0 - development release
  - Fixes for Photoshop CS3 and Office 2007 installers.
  - More progress on gdiplus.
  - Support for Unicode files in regedit.
  - Improved video playback.
  - Many Richedit fixes and improvements.
  - Various bug fixes.
- winetricks updated
  - ogg and schroeder/dirac codecs
* Fri Jul  4 2008 meissner@suse.de
- new winetricks
  - Added firefox3, kde
  - Simpler recipe for msls31
  - sets win2k while installing vcrun2005.
  - Fixed DirectX9 install
  - Added visual j# 2.0 runtime
  - divx codec download location changed
  - Add comctl32.ocx
  - Added autohotkey
* Fri Jun 27 2008 meissner@suse.de
- Upgraded to upstream 1.1.0 - development release
  - Many more gdiplus functions implemented.
  - Improved graphics tablet support.
  - Many Richedit fixes and improvements.
  - Support for HWND_MESSAGE windows.
  - A lot of new MSHTML functions.
  - Many fixes in MSI registry handling.
  - Initial implementation of the inetmib1 DLL.
  - Improvements to the quartz renderers.
  - Various bug fixes.
- updated winetricks
* Tue Jun 17 2008 meissner@suse.de
- Upgraded to upstream 1.0 - first stable release
- updated winetricks
  - comctl32.ocx downloader added
* Fri Jun 13 2008 meissner@suse.de
- Upgraded to upstream 1.0-rc5
  - Lots of bug fixes.
* Sat Jun  7 2008 meissner@suse.de
- Upgraded to upstream 1.0-rc4
  - Lots of bug fixes.
- removed Changelog from binary package (still in sources)
* Sat May 31 2008 meissner@suse.de
- Upgraded to upstream 1.0-rc3
  - Lots of bug fixes.
- Updated winetricks
  - vlc, quicktime installer
* Fri May 23 2008 meissner@suse.de
- Upgraded to upstream 1.0-rc2
  - Lots of bug fixes.
- Updated winetricks
  - added "mfc42" alias for vcrun downloader
  - bugfixes
* Fri May  9 2008 meissner@suse.de
- Upgraded to upstream 1.0-rc1
  - Lots of bug fixes.
- Updated winetricks
* Fri May  2 2008 meissner@suse.de
- Upgraded to upstream 0.9.61
  - Automatic updating of the WINEPREFIX directory.
  - Winhelp now uses Richedit as display engine.
  - Many RichEdit fixes.
  - More improvements to IME support.
  - More quartz fixes.
  - Implementation for many more Gdiplus functions.
  - Lots of bug fixes.
- updated winetricks to current version
* Fri Apr 18 2008 meissner@suse.de
- Upgraded to upstream 0.9.60
  - Better support for Windows IMEs.
  - Option for Windows-style window decorations.
  - Improved system tray behavior.
  - Window management fixes.
  - Improved quartz audio support.
  - Better support for launching apps from Unix file managers.
  - Lots of bug fixes.
- winetricks updated
  - various new downloads (wmp9,wmp10,..)
  - bugfixes
* Fri Apr  4 2008 meissner@suse.de
- Upgraded to upstream 0.9.59
  - Improved support for the .NET framework.
  - Better services handling through a separate services.exe process.
  - Support for ATI fragment shader.
  - Better support for http proxies.
  - Window management fixes.
  - Pre-compiled fonts are now available in the source tree.
  - Lots of bug fixes.
- winetricks updated
  - msls31, dotnet20, vcrun2003 downloaders added
  - bugfixes
* Fri Mar 21 2008 meissner@suse.de
- Upgraded to upstream 0.9.58
  - The default version is now Windows XP.
  - Many Richedit improvements.
  - Beginning of jscript dll support.
  - Shell folders now respect XDG directory configuration.
  - Many translation updates.
  - Lots of bug fixes.
* Sun Mar 16 2008 meissner@suse.de
- updated winetricks helper script
* Fri Mar  7 2008 meissner@suse.de
- Upgraded to upstream 0.9.57
  - Support for multiple OpenGL pixel formats.
  - Improved support for color profiles.
  - Many window management fixes.
  - Better fullscreen support.
  - Lots of bug fixes.
* Fri Feb 22 2008 meissner@suse.de
- Upgraded to upstream 0.9.56
  - Proper handling of OpenGL/Direct3D windows with menu bars.
  - Stubs for all the d3dx9_xx dlls.
  - Several graphics optimizations.
  - Many installer fixes.
  - Improved MIME message support.
  - Lots of bug fixes.
* Fri Feb  8 2008 meissner@suse.de
- Upgraded to upstream 0.9.55
  - Direct3D improvements, including driver version emulation.
  - Beginnings of support for OLE objects in Richedit.
  - Several fixes to the animation control.
  - A bunch of fixes for regression test failures.
  - Lots of bug fixes.
* Fri Jan 25 2008 meissner@suse.de
- Upgraded to upstream 0.9.54
  - Photoshop CS/CS2 should now work, please help us testing it.
    See http://wiki.winehq.org/AdobePhotoshop for details.
  - A number of RPC fixes.
  - Various improvements to the debugger support.
  - Lots of bug fixes.
* Fri Jan 11 2008 meissner@suse.de
- Upgraded to upstream 0.9.53
  - RunOnce and Run entries now executed on startup.
  - Beginnings of support for emulated disk devices.
  - Many Richedit improvements.
  - Nicer looking color dialog.
  - Lots of bug fixes.
* Fri Dec 28 2007 meissner@suse.de
- Upgraded to upstream 0.9.52
  - Improved graphics tablet support.
  - Support for RPC context handles.
  - Fixes for some longstanding screen depth issues.
  - Implementation of "My Network Places" shell folder.
  - Lots of bug fixes.
* Fri Dec 14 2007 meissner@suse.de
- Upgraded to upstream 0.9.51
  - A bunch of WinHelp improvements.
  - Better Japanese font support.
  - A ton of rpcrt4 fixes.
  - Several Alsa capture fixes.
  - Improved support for screen resolution changes.
  - Lots of bug fixes.
- Upgraded to upstream 0.9.50
  - Completed I/O completion.
  - Improved user credentials management, including Mac Keychain support.
  - More Valgrinding.
  - Lots of bug fixes.
- Updated winetricks
  - some mono 1.2 fixes
